japi-compliance-checker_1.3.7-1_all.deb


Advertisement

Description

japi-compliance-checker - tool to compare compatibility of Java library API

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: japi-compliance-checker
Package version: 1.3.7
Package release: 1
Package architecture: all
Package type: deb
Installed size: 368 B
Download size: 50.18 KB
Official Mirror: ftp.br.debian.org
Java API Compliance Checker (Java ACC) is a tool for checking backward binary and source-level compatibility of a Java library API. The tool checks classes declarations of old and new versions and analyzes changes that may break compatibility: removed methods, removed class fields, added abstract methods, etc. Binary incompatibility may result in crashing or incorrect behavior of existing clients built with an old version of a library when they are running with a new one. Source incompatibility may result in recompilation errors with a new library version. The tool is intended for library developers and operating system maintainers who are interested in ensuring backward compatibility, i.e. allow old clients to run or to be recompiled with newer library versions.

Alternatives

Requires

    Download

    Source package: japi-compliance-checker

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install japi-compliance-checker deb package:
      # sudo apt-get install japi-compliance-checker

    Files

    • /usr/bin/japi-compliance-checker
    • /usr/share/doc/japi-compliance-checker/changelog.Debian.gz
    • /usr/share/doc/japi-compliance-checker/copyright
    • /usr/share/doc/japi-compliance-checker/doc/Changes.html
    • /usr/share/doc/japi-compliance-checker/doc/Descriptor.html
    • /usr/share/doc/japi-compliance-checker/doc/Options.html
    • /usr/share/doc/japi-compliance-checker/doc/Readme.html
    • /usr/share/man/man1/japi-compliance-checker.1.gz

    Changelog

    2014-07-05 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.3.7-1) unstable; urgency=low * New upstream * Fix clean rule

    2014-04-09 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.3.6-1) unstable; urgency=low * New upstream

    2013-12-10 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.3.5-1) unstable; urgency=low * New upstream * Bump Std-Vers to 3.9.5, no changes needed

    2013-10-13 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.3.4-1) unstable; urgency=low * New upstream + new option -limit-affected * Automate man page generation

    2013-07-27 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.3.1-1) unstable; urgency=low * New release * Improved support for Java 7

    2013-05-14 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.3-1) unstable; urgency=low * New upstream * Move default-jdk to Recommends instead of direct Depends * Bump Std-Vers to 3.9.4, no changes needed

    2012-06-09 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.1.2-1) unstable; urgency=low * New upstream: 1.1.2 - New Option: -open - Fixed an issue with spaces in the path to javap and other commands

    2012-05-31 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.1.1-1) unstable; urgency=low * New upstream - Fixed an issue with --classes-list option - New Options: -sort

    2012-04-26 - Mathieu Malaterre <malat@debian.org> japi-compliance-checker (1.1-1) unstable; urgency=low * Initial release (Closes: #670533)

    Advertisement
    Advertisement